/* variables */
:root {
	--color-primary: #bcbcbc;
	--color-secondary: #b8860b;
	--color-text: #fefefe;
	--font-title: StickNoBills;
	--font-nav-hover: Catacombs;
	--font-regular: Oswald;
	--font-size-title: 1.8rem;
	--font-size-nav: 1.6rem;
	--font-size-regular: 1.2rem;
	--font-size-small: 1rem;
	
	--space-bigger: 4rem;
	--space-regular: 2rem;
	--space-smaller: 1rem;
	--space-small: 10px;
	
	--xs: 0px;
	--sm: 576px;
	--md: 768px;
	--lg: 992px;
	--xl: 1200px;
}

/* fonts */
@font-face {
  font-family: Oswald;
  src: url("./assets/fonts/Oswald/Oswald-VariableFont_wght.ttf");
  font-weight: normal;
}

@font-face {
  font-family: StickNoBills;
  src: url("./assets/fonts/StickNoBills/StickNoBills-VariableFont_wght.ttf");
  font-weight: normal;
}

/* styles */
body {
	background-image: url('./assets/bg.png');
	font-family: var(--font-regular);
	color: var(--color-text);
	text-align: center;
}

section {
	@media(max-width: 768px) {
		text-align: center;
	}
	@media (max-width: 576px) {
		margin-top: 2rem;
	}
	@media (min-width: 577px) {
		margin-top: 3rem;
	}
	@media (min-width: 768px) {
		margin-top: 4rem;
	}
}

#section-intro {
	@media (max-width: 576px) {
		margin-top: 1rem;
	}
	@media (min-width: 577px) {
		margin-top: 2rem;
	}
	@media (min-width: 1200px) {
		margin-top: 3rem;
	}
}

#section-shows {
	position: relative;
	padding: 1rem;
	
	@media (min-width: 577px) {
		padding: 2rem;
	}
}

.bg-image--container {
	position: relative;
}


.section-shows__bg {
	position: absolute;
	height: 100%;
	width: 100%;
	background-image: url("./assets/Hintergrundbild/shows-bg_scaled.png");
	background-size: cover;
	background-position: center;
	opacity: .5;
	filter: grayscale(0.5);
}

.section-shows__fg {
	height: 100%;
	width: 100%;
	opacity: 1; 
	z-index: 1;
	position: relative;
}

a {
	color: silver;
}

.menu-container nav {
	font-family: StickNoBills;
	display: flex;
	width: 100%;
	justify-content: space-around;
	align-items: center;
	height: 4rem;

	& nav div {
	  width: 100%;
	  text-align: center;
	}
	
	& div a {
		text-decoration: none;
		color: var(--color-text);
		font-size: var(--font-size-nav);
		padding: var(--space-small);

		@media (max-width: 576px) {
			font-size: 1.2rem;
		}
		@media (min-width: 577px) {
			font-size: 1.4rem;
		}
		@media (min-width: 768px) {
			font-size: 1.8rem;
		}
		@media (min-width: 992px) {
			font-size: 2rem;
		}
		
	}
	
	& div a:hover {
		color: silver;
		transition: ease-out .5s;
	}
}
.logo-container {
	display: flex;
	flex-direction: column;
	align-content: center;
  	align-items: center;
}

.img-logo {
	transform: translateY(2rem);
  	position: relative;
  	z-index: 2;
	width: 90%;
}
.img-band {
  width: 100%;
  position: relative;
  z-index: 1;
}
.fade-in {
  animation: fadeIn ease 2s;
}
@keyframes fadeIn {
  0% {opacity:0;}
  100% {opacity:1;}
}
.relase-container {
	display: flex;
	grid-template-columns: 1fr 1fr;
	gap: 1rem;
	$ div {
		height: 5rem;
	}
}
.release-container__old{
	display: flex;
	flex-direction: column;
	gap: 2rem;
	& div {
		& a img {
			width: auto;
			height: 120px;
		}
	}
	@media (max-width: 768px) {
		display: grid;
		grid-template-columns: 1fr 1fr;
	}
	@media (max-width: 768px) {
		align-items: normal;
	}
}

.release-link {
	text-decoration: none;
}
.icon-container{
	display: flex;
	flex-direction: column;
	gap: 2rem;
	height: auto;
	      justify-content: center;
	& div {
		& a img {
			width: auto;
			@media(min-width: 769px) {
				height: 80px;
			}
		@media(max-width: 768px) {
			height: 60px;
		}
		}
	}
	@media (min-width: 578px) {
		display: flex;
		flex-direction: row;
	}
	@media (max-width: 768px) {
		align-items: center;
		justify-content: center;
	}
}
.shows-table{
	@media (min-width: 0px) {
		font-size: var(--font-size-text);
	}
	@media (min-width: 768px) {
		font-size: 16px;
	}
	@media (min-width: 992px) {
		font-size: 18px;
	}
}
.shows-table__header {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	border-bottom: 1px solid silver;
}
.shows-table__entry {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	
	&:nth-child(even) {
		background: rgba(100, 100, 100, .15);
	}
}
.song-item{
	display: flex;
	gap: 2rem;
	align-items: center;
	@media (max-width: 768px) {
		flex-direction: column;
	}
}
.song-desc {
	text-decoration: none;
	display: flex;
	flex-direction: column;
	gap: 1rem;
	justify-content: flex-start;
	color: var(--color-text);
	
	@media (min-width: 0px) {
		font-size: var(--font-size-text);
	}
	@media (min-width: 768px) {
		font-size: 16px;
	}
	@media (min-width: 992px) {
		font-size: 18px;
	}
}
.content {
	@media (min-width: 0px) {
		padding: .5rem 1rem;
		padding-top: 0;
	}
	@media (min-width: 768px) {
		padding: 1rem 2rem;
		padding-top: 0;
	}
	@media (min-width: 1200px) {
		padding: 2rem 4rem;
		padding-top: 0;
	}
}

.small-no-horizontal-padding {
	@media (max-width: 576px) {
		padding: 0;
	}
	@media (min-width: 577px) {
		padding: .5rem 1rem;
	}
	@media (min-width: 768px) {
		padding: 1rem 2rem;
	}
	@media (min-width: 1200px) {
		padding: 2rem 4rem;
	}
}

.title{
	//border-top: 1px solid silver;
}
.bold{
	font-weight: 600;
	letter-spacing: 1;
}
h1,h2,h3,h4,h5,h6 {
	font-family: var(--font-title);
}

h2 {
	font-size: var(--font-size-title);
}

h3 {
	@media (max-width: 576px) {
		padding-top: .5rem;
	}
	@media (min-width: 577px) {
		padding-top: 1rem;
	}
	@media (min-width: 1200px) {
		padding-top: 2rem;
	}
	@media (min-width: 0px) {
		font-size: 16px;
	}
	@media (min-width: 768px) {
		font-size: 18px;
	}
	@media (min-width: 992px) {
		font-size: 20px;
	}
}
p {
	
	@media (min-width: 0px) {
		font-size: 16px;
	}
	@media (min-width: 768px) {
		font-size: 18px;
	}
	@media (min-width: 992px) {
		font-size: 20px;
	}
}